﻿export default [
  {
    path: '/welcome',
    name: 'welcome',
    icon: 'smile',
    component: './Welcome',
  },
  {
    name: 'user',
    path: '/user',
    icon: 'UserOutlined',
    component: './UserManage',
    access: 'canAdmin',
  },
  {
    name: 'prompt',
    icon: 'table',
    path: '/prompt',
    routes: [
      {
        path: '/prompt/word',
        name: 'word',
        component: './PromptWord',
      },
      {
        path: '/prompt/type',
        name: 'type',
        component: './PromptWordType',
      },
    ],
  },
  {
    name: 'chat',
    path: '/chat',
    component: './Chat',
    icon: 'RobotOutlined',
    layout: false,
  },
  {
    path: '/',
    redirect: '/chat',
  },
  {
    component: './404',
  },
];
