namespace BBM.ChatGLM.Permissions
{
    public static class ChatGLMPermissions
    {
        public const string GroupName = "ChatGLM";

        public static class UsersManagement
        {
            public const string Default = GroupName + ".Users";
            public const string Query = Default + ".Query";
            public const string Create = Default + ".Create";
            public const string Update = Default + ".Update";
            public const string Delete = Default + ".Delete";
            public const string Chat = Default + ".Chat";
            public const string ResetPassword = Default + ".ResetPassword";
        }

        public static class PromptWordManagement
        {
            public const string Default = GroupName + ".PromptWord";
            public const string Query = Default + ".Query";
            public const string Create = Default + ".Create";
            public const string Update = Default + ".Update";
            public const string Delete = Default + ".Delete";
        }

        public static class PromptWordTypeManagement
        {
            public const string Default = GroupName + ".PromptWordType";
            public const string Query = Default + ".Query";
            public const string Create = Default + ".Create";
            public const string Update = Default + ".Update";
            public const string Delete = Default + ".Delete";
        }
    }
}